Subject: bug#43513: json-c build failure (on armhf-linux) while trying to build u-boot

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 25 Sep 2020 13:18:56 +0200

On Fri, 25 Sep 2020 13:13:22 +0200
Danny Milosavljevic <[email-masked]> wrote:

> I do not think the X86_32 compatibility layer works on aarch64, so now we have
> a problem.  That means building stuff for ARMv7 on aarch64 is not reliable at
> all.

Hmm.

Could I have access to a aarch64 build machine?  Or am I able to cause
a aarch64 build machine to evaluate a new wip branch?

I want to find out what it actually does in the case that aarch64 is used to
run armv7 stuff.  Does it have a compat layer in the kernel or not?

How about all the other 64 bit architectures that have a 32 bit compat
fallback in hardware?  Do those have a compat layer in the kernel or not?